/* 2010-08-25: File added by Sony Corporation */
/*
 *  File Name	    : linux/include/asm-arm/arch-mp200/ahb.h
 *  Function	    : ahb
 *  Release Version : Ver 1.00
 *  Release Date    : 2006/03/20
 *
 *  Copyright (C) NEC Electronics Corporation 2006
 *
 *
 *  This program is free software;you can redistribute it and/or modify it under the terms of
 *  the GNU General Public License as published by Free Softwere Foundation; either version 2
 *  of License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 *  without even the implied warrnty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *  See the GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with this program;
 *  If not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA.
 *
 */

#ifndef __ASM_ARM_ARCH_MP200_AHB_H
#define __ASM_ARM_ARCH_MP200_AHB_H

#include <linux/platform_device.h>

extern int ahb_device_register(struct platform_device *);
extern void ahb_device_unregister(struct platform_device *);

extern struct bus_type ahb_bus_type;
extern struct device ahb_bus;

extern struct resource *ahb_get_resource(struct platform_device *, unsigned int,
					 unsigned int);
extern int ahb_get_irq(struct platform_device *, unsigned int);

extern int ahb_add_devices(struct platform_device **, int);

extern int ahb_driver_register(struct device_driver *drv);
extern void ahb_driver_unregister(struct device_driver *drv);

#endif				/* __ASM_ARM_ARCH_MP200_AHB_H */
