/* 2010-08-25: File added and changed by Sony Corporation */
/*
 *  File Name	    : linux/include/asm-arm/arch-mp200/pm.h
 *  Function	    : Power Management
 *  Release Version : Ver 1.00
 *  Release Date    : 2008/01/21
 *
 *  Copyright (C) NEC Electronics Corporation 2008
 *
 *
 *  This program is free software;you can redistribute it and/or modify it under the terms of
 *  the GNU General Public License as published by Free Softwere Foundation; either version 2
 *  of License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 *  without even the implied warrnty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *  See the GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with this program;
 *  If not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA.
 *
 */
#ifndef __ASM_ARM_ARCH_MP200_PM_H
#define __ASM_ARM_ARCH_MP200_PM_H

#include <linux/interrupt.h>

#define PM_SLEEP_MODE_S1		1
#define PM_SLEEP_MODE_S2		2
#define PM_SLEEP_MODE_S3		3

extern int mp200_sleep_while_idle;
extern int mp200_pm_sleep(unsigned int mode);

extern void mp200_pm_pdma_suspend_enable(void);
extern void mp200_pm_pdma_suspend_disable(void);
extern unsigned int mp200_pm_pdma_suspend_status(void);

#endif /* __ASM_ARM_ARCH_MP200_PM_H */
