/* 2009-09-04: File added by Sony Corporation */
/*
 *  Copyright 2009 Sony Corporation.
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  version 2 of the  License.
 *
 *  THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR IMPLIED
 *  WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 *  NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 *  NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 *  USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 *  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  You should have received a copy of the  GNU General Public License along
 *  with this program; if not, write  to the Free Software Foundation, Inc.,
 *  675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __ASM_ARM_ARCH_MP200_UART_H
#define __ASM_ARM_ARCH_MP200_UART_H

/*
 * UART registers
 */
#define MP200_UART_TX		( 0 << 2)
#define MP200_UART_RX		( 0 << 2)
#define MP200_UART_IER		( 1 << 2)
#define MP200_UART_IIR		( 2 << 2)
#define MP200_UART_FCR		( 3 << 2)
#define MP200_UART_LCR		( 4 << 2)
#define MP200_UART_MCR		( 5 << 2)
#define MP200_UART_LSR		( 6 << 2)
#define MP200_UART_MSR		( 7 << 2)
#define MP200_UART_SCR		( 8 << 2)
#define MP200_UART_DLL		( 9 << 2)
#define MP200_UART_DLM		(10 << 2)

#endif /* __ASM_ARM_ARCH_MP200_UART_H */
