/* 2010-08-25: File added and changed by Sony Corporation */
/*
 * include/linux/nec_candy_pd.h
 *
 * Platform data for the NEC Candy Ethernet device.
 *
 * Author: Wade Farnsworth <wfarnsworth@mvista.com>
 *
 * 2006 (c) MontaVista Software, Inc. This file is licensed under
 * the terms of the GNU General Public License version 2. This program
 * is licensed "as is" without any warranty of any kind, whether express
 * or implied.
 */

#ifndef NEC_CANDY_PD_H
#define NEC_CANDY_PD_H

struct nec_candy_platform_data {
	unsigned char mac_addr[6];
	unsigned long pmd_addr;
	int rmii;	/* 0:MII, 1:RMII */
};

#endif
