/* 2010-08-25: File added by Sony Corporation */
#ifndef __avc_debug_h__
#define __avc_debug_h__

/* debug functions ----------------------------------------------------------*/

extern int debug_level;

#define debug2_np(...) __debug_np(2,__VA_ARGS__)
#define debug0(...) __debug(0,__func__,__VA_ARGS__)
#define debug1(...) __debug(1,__func__,__VA_ARGS__)
#define debug2(...) __debug(2,__func__,__VA_ARGS__)
#define dump1(...)  __dump (1,__func__,__VA_ARGS__)
#define dump2(...)  __dump (2,__func__,__VA_ARGS__)
extern void __debug_np(int level, const char *format, ...);
extern void __debug(int level, const char *function, const char *format, ...);
extern void __dump (int level, const char *function, void *ptr, int len);

#endif //__avc_debug_h__
