/* 2010-08-25: File added by Sony Corporation */
#ifndef __avc_regs_h__
#define __avc_regs_h__

struct avc_regs_t {
    // [15:0]

    unsigned int CMDreg; //000h

    char pad1[0x020-0x000-4];

    unsigned int STATreg; //020h
    unsigned int INT1reg;
    unsigned int INT2reg;
    unsigned int INT3reg;
    unsigned int INT4reg;
    unsigned int INT5reg; //034h

    char pad2[0x100-0x034-4];

    unsigned int dec_PARreg1; //100h
    unsigned int dec_PARreg2;
    unsigned int dec_PARreg3;
    unsigned int dec_PARreg4;
    unsigned int dec_PARreg5;
    unsigned int dec_PARreg6;
    unsigned int dec_PARreg7;
    unsigned int dec_PARreg8;
    unsigned int dec_PARreg9; //120h

    char pad3[0x200-0x120-4];

    unsigned int enc_PARreg1; //200h
    unsigned int enc_PARreg2;
    unsigned int enc_PARreg3;
    unsigned int enc_PARreg4;
    unsigned int enc_PARreg5;
    unsigned int enc_PARreg6;
    unsigned int enc_PARreg7;
    unsigned int enc_PARreg8;
    unsigned int enc_PARreg9;
    unsigned int enc_PARreg10;
    unsigned int enc_PARreg11;
    unsigned int enc_PARreg12;
    unsigned int enc_PARreg13;
    unsigned int enc_PARreg14;
    unsigned int enc_PARreg15;
    unsigned int enc_PARreg16;
    unsigned int enc_PARreg17;
    unsigned int enc_PARreg18;
    unsigned int enc_PARreg19; //248h

    char pad4[0x250-0x248-4];

    unsigned int enc_INFOreg1; //250h
    unsigned int enc_INFOreg2; //254h

    char pad5[0x25C-0x254-4];

    unsigned int enc_PARreg22; //25Ch

    char pad6[0x298-0x25C-4];

    unsigned int enc_INFOreg3; //298h
    unsigned int enc_INFOreg4; //29Ch

    char pad7[0x2B4-0x29C-4];

    unsigned int enc_PARreg23; //2B4h

    char pad8[0x2BC-0x2B4-4];

    unsigned int enc_PARreg21; //2BCh

    char pad_2C0[0x2C4-0x2C0];

    unsigned int enc_PARreg20; //2C4h

    char pad9[0x2CC-0x2C4-4];

    unsigned int enc_PARreg24; //2CCh

    char pad10[0x2DC-0x2CC-4];

    unsigned int enc_PARreg25; //2DCh

    char pad11[0x2E8-0x2DC-4];

    unsigned int enc_PARreg26; //2E8h

    char pad12[0x2F0-0x2E8-4];

    unsigned int enc_PARreg27; //2F0h

    char pad13[0x300-0x2F0-4];

    unsigned int head_PRreg1; //300h
    unsigned int head_PRreg2;
    unsigned int head_PRreg3;
    unsigned int head_PRreg4;
    unsigned int head_PRreg5;
    unsigned int head_PRreg6;
    unsigned int head_PRreg7;
    unsigned int head_PRreg8;
    unsigned int head_PRreg9;
    unsigned int head_PRreg10;
    unsigned int head_PRreg11;
    unsigned int head_PRreg12;
    unsigned int head_PRreg13;
    unsigned int head_PRreg14;
    unsigned int head_PRreg15;
    unsigned int head_PRreg16;
    unsigned int head_PRreg17;
    unsigned int head_PRreg18;
    unsigned int head_PRreg19;
    unsigned int head_PRreg20;
    unsigned int head_PRreg21;
    unsigned int head_PRreg22;
    unsigned int head_PRreg23;
    unsigned int head_PRreg24;
    unsigned int head_PRreg25;
    unsigned int head_PRreg26;
    unsigned int head_PRreg27;
    unsigned int head_PRreg28;
    unsigned int head_PRreg29;
    unsigned int head_PRreg30;
    unsigned int head_PRreg31;
    unsigned int head_PRreg32; //37Ch

    unsigned int enc_PARreg28; //380h
    unsigned int enc_PARreg29;
    unsigned int enc_PARreg30;
    unsigned int enc_PARreg31;
    unsigned int enc_PARreg32;
    unsigned int enc_PARreg33;
    unsigned int enc_PARreg34;
    unsigned int enc_PARreg35;
    unsigned int enc_PARreg36;
    unsigned int enc_PARreg37;
    unsigned int enc_PARreg38;
    unsigned int enc_PARreg39;
    unsigned int enc_PARreg40;
    unsigned int enc_PARreg41;
    unsigned int enc_PARreg42;
    unsigned int enc_PARreg43;
    unsigned int enc_PARreg44;
    unsigned int enc_PARreg45;
    unsigned int enc_PARreg46;
    unsigned int enc_PARreg47;
    unsigned int enc_PARreg48;
    unsigned int enc_PARreg49;
    unsigned int enc_PARreg50;
    unsigned int enc_PARreg51;
    unsigned int enc_PARreg52;
    unsigned int enc_PARreg53;
    unsigned int enc_PARreg54;
    unsigned int enc_PARreg55;
    unsigned int enc_PARreg56;
    unsigned int enc_PARreg57;
    unsigned int enc_PARreg58;
    unsigned int enc_PARreg59;
    unsigned int enc_PARreg60;
    unsigned int enc_PARreg61;
    unsigned int enc_PARreg62;
    unsigned int enc_PARreg63;
    unsigned int enc_PARreg64;
    unsigned int enc_PARreg65;
    unsigned int enc_PARreg66;
    unsigned int enc_PARreg67;
    unsigned int enc_PARreg68;
    unsigned int enc_PARreg69;
    unsigned int enc_PARreg70;
    unsigned int enc_PARreg71;
    unsigned int enc_PARreg72;
    unsigned int enc_PARreg73;
    unsigned int enc_PARreg74;
    unsigned int enc_PARreg75;
    unsigned int enc_PARreg76;
    unsigned int enc_PARreg77;
    unsigned int enc_PARreg78;
    unsigned int enc_PARreg79;
    unsigned int enc_PARreg80;
    unsigned int enc_PARreg81;
    unsigned int enc_PARreg82;
    unsigned int enc_PARreg83;
    unsigned int enc_PARreg84;
    unsigned int enc_PARreg85;
    unsigned int enc_PARreg86;
    unsigned int enc_PARreg87;
    unsigned int enc_PARreg88;
    unsigned int enc_PARreg89;
    unsigned int enc_PARreg90;
    unsigned int enc_PARreg91;
    unsigned int enc_PARreg92;
    unsigned int enc_PARreg93;
    unsigned int enc_PARreg94;
    unsigned int enc_PARreg95;
    unsigned int enc_PARreg96;
    unsigned int enc_PARreg97;
    unsigned int enc_PARreg98;
    unsigned int enc_PARreg99;
    unsigned int enc_PARreg100;
    unsigned int enc_PARreg101;
    unsigned int enc_PARreg102;
    unsigned int enc_PARreg103;
    unsigned int enc_PARreg104;
    unsigned int enc_PARreg105;
    unsigned int enc_PARreg106;
    unsigned int enc_PARreg107;
    unsigned int enc_PARreg108;
    unsigned int enc_PARreg109; //4C4h

    char pad14[0x500-0x4C4-4];

    // [31:0]

    unsigned int bar1; //500h
    unsigned int bar2;
    unsigned int bar3;
    unsigned int bar4;
    unsigned int bar5;
    unsigned int bar6;
    unsigned int bar7;
    unsigned int bar8;
    unsigned int bar9;
    unsigned int bar10;
    unsigned int bar11;
    unsigned int bar12;
    unsigned int bar13;
    unsigned int bar14;
    unsigned int bar15;
    unsigned int bar16;
    unsigned int bar17;
    unsigned int bar18;
    unsigned int bar19;
    unsigned int buf_size_reg19;
    unsigned int bar20;
    unsigned int buf_size_reg20;
    unsigned int stream_buf_sel;
    unsigned int codec_mem_ctl;
    unsigned int stream_buf_adr; //560h

    char pad15[0x1C];

    unsigned int bar21y; //580h
    unsigned int bar21u;
    unsigned int bar21v;
    unsigned int bar22y;
    unsigned int bar22u;
    unsigned int bar22v;
    unsigned int raster1;
    unsigned int raster2;
    unsigned int raster3; //5A0h

    char pad16[0xC];

    unsigned int BINT1; //5B0h
    unsigned int BINT2;
    unsigned int BINT3;
    unsigned int BINT4;
    unsigned int BINT5;
};

#endif // __avc_regs_h__
