/* 2009-08-24: File added by Sony Corporation */
/*
 * Copyright 2009 Sony Corporation.
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License.
 *
 * THIS  SOFTWARE  IS PROVIDED   ``AS  IS'' AND   ANY  EXPRESS OR IMPLIED
 * WARRANTIES,   INCLUDING, BUT NOT  LIMITED  TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN
 * NO  EVENT  SHALL   THE AUTHOR  BE    LIABLE FOR ANY   DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED   TO, PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS OF
 * USE, DATA,  OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * You should have received a copy of the  GNU General Public License along
 * with this program; if not, write  to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __NUP_CUSTOM_NBLARGS_H__
#define __NUP_CUSTOM_NBLARGS_H__

/*
 * NBLArgs entry for NUP_CUSTOM information
 */
#define NUP_CUSTOM_NBLARGS_KEY		"nupcus"

#define NUP_CUSTOM_MAGIC		0x6e43 /* nC */
#define NUP_CUSTOM_VER_MAJOR		0
#define NUP_CUSTOM_VER_MINOR		0
#define NUP_CUSTOM_VER			((NUP_CUSTOM_VER_MAJOR << 8) | (NUP_CUSTOM_VER_MINOR))

#define NUP_CUSTOM_NOT_SUSPEND		0
#define NUP_CUSTOM_IS_SUSPEND		1

struct nup_custom_nblargs_t {
	u_int16_t	magic;
	u_int16_t	version;
	int		suspend;
};

#endif /* __NUP_CUSTOM_NBLARGS_H__ */
