/* 2009-08-24: File added and changed by Sony Corporation */
/*
 * File Name       : /drivers/video/mp200/mp200_fb.h
 * Function        : Frame Buffer Driver corresponding to V4L2  definitions
 * Release Version :
 * Release Date    : 2008/12/05
 *
 * Copyright (C) NEC Electronics Corporation 2006-2008
 *
 *
 * This program is free software;you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by Free Softwere
 * Foundation; either version 2 of License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warrnty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; If not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef _MP200_FB_H_
#define _MP200_FB_H_


/********************************************************
 *  Variables                                           *
 *******************************************************/
/* image infomation to LCD */
extern FB_IMAGE_INFO  fb_image_info;

/* Smem */
extern char   *SmemV;


/********************************************************
 *  Prototype declarations of function                  *
 *******************************************************/
extern int            mp200_fb_ioctl(struct fb_info *info, unsigned int cmd, unsigned long arg);
extern int            mp200_fb_mmap(struct fb_info *info, struct vm_area_struct *vma);
extern void           mp200_fb_callback(int iWrittenFBNo, int iMixModeStatus, int fb_num);
extern int   __init   mp200_fb_init_moddule(void);
#ifdef CONFIG_PGPF_BACKLIGHT
#ifdef CONFIG_PGPF_NAVU2
extern int            mp200_fb_set_tpled(int mode);
#endif /* CONFIG_PGPF_NAVU2 */
extern int            mp200_fb_set_brightness(int brightness);
extern int            mp200_fb_get_brightness(void);
#endif /* CONFIG_PGPF_BACKLIGHT */

#endif /* _MP200_FB_H_ */
