/* 2010-08-25: File added by Sony Corporation */
/*
 *  File Name       : linux/include/asm-arm/arch-mp200/entry-macro.S
 *  Function        : entry-macro.S
 *  Release Version : Ver 1.00
 *  Release Date    : 2006/02/22
 *
 *  Copyright (C) NEC Electronics Corporation 2006
 *
 *
 *  This program is free software;you can redistribute it and/or modify it under the terms of
 *  the GNU General Public License as published by Free Softwere Foundation; either version 2
 *  of License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 *  without even the implied warrnty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *  See the GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with this program;
 *  If not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA.
 *
 */
#include <asm/hardware.h>
#include <asm/arch/irqs.h>

		.macro	disable_fiq
		.endm

		.macro  get_irqnr_preamble, base, tmp
		.endm

		.macro  arch_ret_to_user, tmp1, tmp2
		.endm

		.macro	get_irqnr_and_base, irqnr, irqstat, base, tmp
		ldr	\base, =IO_ADDRESS(MP200_INTC_BASE)

		mov	\tmp, #1

		ldr	\irqstat, [\base, #MP200_INTC_ITy_MST0_OFFSET]
		mov	\irqnr, #0
1001:
		tst	\irqstat, \tmp, lsl \irqnr
		bne	1002f
		add	\irqnr, \irqnr, #1
		cmp	\irqnr, #32
		bcc	1001b

		ldr	\irqstat, [\base, #MP200_INTC_ITy_MST1_OFFSET]
		mov	\irqnr, #0
1003:
		tst	\irqstat, \tmp, lsl \irqnr
		bne	1004f
		add	\irqnr, \irqnr, #1
		cmp	\irqnr, #32
		bcc	1003b

		ldr	\irqstat, [\base, #MP200_INTC_ITy_MST2_OFFSET]
		mov	\irqnr, #0
1005:
		tst	\irqstat, \tmp, lsl \irqnr
		bne	1006f
		add	\irqnr, \irqnr, #1
		cmp	\irqnr, #32
		bcc	1005b

		mov	\tmp, #0		@ there is no interrupt...
1004:
		add	\irqnr, \irqnr, #32
		b 1002f
1006:
		add	\irqnr, \irqnr, #64
1002:
		cmp	\tmp, #0
		.endm
