/* 2009-09-28: File added and changed by Sony Corporation */
/*
 *  File Name       : linux/include/asm-arm/arch-mp200/memory.h
 *  Function        : memory
 *  Release Version : Ver 1.03
 *  Release Date    : 2009/01/27
 *
 *  Copyright (C) NEC Electronics Corporation 2005-2008
 *
 *
 *  This program is free software;you can redistribute it and/or modify it under the terms of
 *  the GNU General Public License as published by Free Softwere Foundation; either version 2
 *  of License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 *  without even the implied warrnty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *  See the GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with this program;
 *  If not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA.
 *
 */

#ifndef __ASM_ARCH_MEMORY_H
#define __ASM_ARCH_MEMORY_H
/*
 * Physical DRAM offset.
 */
#define PHYS_OFFSET	UL(0x30000000)

#define __virt_to_bus(x) __virt_to_phys(x)
#define __bus_to_virt(x) __phys_to_virt(x)

#define NODE_MEM_SIZE_BITS	25

#define MAX_HOTPLUG_MEM        256 * 1024 * 1024
#endif				/* __ASM_ARCH_MEMORY_H */
