/* 2010-08-25: File added and changed by Sony Corporation */
/*
 *  File Name       : linux/include/asm-arm/arch-mp200/timex.h
 *  Function        : timex
 *  Release Version : Ver 1.01
 *  Release Date    : 2007/06/18
 *
 *  Copyright (C) NEC Electronics Corporation 2005-2007
 *
 *
 *  This program is free software;you can redistribute it and/or modify it under the terms of
 *  the GNU General Public License as published by Free Softwere Foundation; either version 2
 *  of License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 *  without even the implied warrnty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *  See the GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with this program;
 *  If not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA.
 *
 */

#ifndef __ASM_ARCH_MP200_TIMEX_H
#define __ASM_ARCH_MP200_TIMEX_H

#define CLOCK_TICK_RATE		32000

#ifdef CONFIG_PLL3_238MHZ
#define CLOCK_TICK_RATE_PLL3    5939200
#else
#define CLOCK_TICK_RATE_PLL3    5734400
#endif

#define CLOCK_TICK_RATE_32K     32000


#endif	/* __ASM_ARCH_MP200_TIMEX_H */
